Retrieve issuer policy by ID
Analytics Events
/v1/ecosystems/{ecosystemId}/issuer-policies/public/{id}Retrieves a specific published ecosystem issuer policy by providing the ecosystem ID and the issuer policy ID. The issuer policy ID is the id returned when a policy is published, and is also included in the response from the Retrieve latest issuer policy endpoint.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytic events
- ECOSYSTEM_ISSUER_POLICY_RETRIEVE_START
- ECOSYSTEM_ISSUER_POLICY_RETRIEVE_SUCCESS
- ECOSYSTEM_ISSUER_POLICY_RETRIEVE_FAIL
Path Parameters
The UUID of the ecosystem
uuidThe UUID of the issuer policy
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/issuer-policies/public/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"publishedAt": "2024-10-22T00:00:00Z",
"participants": [
{
"id": "a24e391a-c27f-4b6e-9805-1ee7e03f3c58",
"name": "My Participant",
"issuerCertificates": [
{
"id": "599bf148-d711-405a-a20b-9c8a87ac8850",
"certificatePem": "-----BEGIN CERTIFICATE-----\r\nMIIBwzCCAWigAwIBAgIKRGC+CqoTGJKkkTAKBggqhkjOPQQDAjAgMR4wCQYDVQQG\r\n-----END CERTIFICATE-----\r\n",
"certificateFingerprint": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
"docTypes": [
{
"value": "org.iso.18013.5.1.mDL"
}
]
}
]
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve latest issuer policy GET
Retrieves the latest published ecosystem issuer policy by providing the ecosystem ID. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_ISSUER_POLICY_RETRIEVE_LATEST_START * ECOSYSTEM_ISSUER_POLICY_RETRIEVE_LATEST_SUCCESS * ECOSYSTEM_ISSUER_POLICY_RETRIEVE_LATEST_FAIL
Delete issuer policy DELETE
Deletes a published ecosystem issuer policy by providing the ecosystem ID and the issuer policy ID.